<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * * * The content below * * * * * * * * * * * -->
<!-- * * * * * * * * * * is only a placeholder * * * * * * * * * * -->
<!-- * * * * * * * * * * and can be replaced. * * * * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * Delete the template below * * * * * * * * * * -->
<!-- * * * * * * * to get started with your project! * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->

<!-- Toolbar -->
<div class="toolbar" role="banner">

  <span class="logo" > 
     
  </span>

  <span class="project-name">Planificateur d'Entrevues (PEL)</span>
  <div class="spacer"></div>
   
  <nav *ngIf="role > 0">
    <a class="nav" mat-button color="accent" routerLink="/acceuil" routerLinkActive="active">Acceuil</a>
    <a class="nav" *ngIf="canUserAccessThisRoute('calendrier')" mat-button color="accent" routerLink="/calendrier" routerLinkActive="active">Calendrier</a>
    <a class="nav" *ngIf="canUserAccessThisRoute('plageshoraires')" mat-button color="accent" routerLink="/plageshoraires" routerLinkActive="active">Plages Horaires</a>
    <a class="nav" *ngIf="canUserAccessThisRoute('champsexpertise')" mat-button color="accent" routerLink="/champsexpertise" routerLinkActive="active">Champs d'expertise</a>
    <a class="nav" *ngIf="canUserAccessThisRoute('recruteurs')" mat-button color="accent" routerLink="/recruteurs" routerLinkActive="active">Recruteurs</a>
    <a class="nav" *ngIf="canUserAccessThisRoute('interviewers')" mat-button color="accent" routerLink="/interviewers" routerLinkActive="active">Interviewers</a>
  </nav>
  <div class="spacer-triple"></div>

  <div *ngIf="role != 0" class="user-status">
    <button mat-button color="primary"  [matMenuTriggerFor]="menu">{{ userEmail }}</button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item disabled class="role">{{yourRole}}</button>
      <button (click)="loggedInUserHasRole(0)" mat-menu-item>Déconnexion</button>
    </mat-menu>

    
  </div>

</div>

<div *ngIf="role == 0">
  <button  class="cheat-sheet"  mat-button color="primary" [matMenuTriggerFor]="cheatsheet">DEV Cheat sheet</button>
  <mat-menu #cheatsheet="matMenu">
    
    <button mat-menu-item (click)="loggedInUserHasRole(1)">Administrateur du système</button>
    <button mat-menu-item (click)="loggedInUserHasRole(2)">Recruteur Administrateur</button>
    <button mat-menu-item (click)="loggedInUserHasRole(3)">Recruteur</button>
    <button mat-menu-item (click)="loggedInUserHasRole(4)">Interviewer technique</button>
  </mat-menu>
</div>
<div class="content">
  <router-outlet></router-outlet>
</div>
